#author("2021-06-29T11:03:56+09:00","","")

#author("2021-07-06T21:45:12+09:00","","")
**[[質問箱/5423]] [#b44ecb4e]
|RIGHT:70|LEFT:410|c
|~カテゴリ|エラー・トラブル|
|~サマリ|func.phpの構文エラーでサイト表示ができない。|
|~バージョン||
|~投稿者|[[T . M i y o s h i ]]|
|~状態|質問|
|~状態|却下|
|~投稿日|&new{2021-06-29 (火) 05:12:24};|
***質問 [#aefe01ae]
func.phpの構文エラー、
Parse error: syntax error, unexpected 'new' (T_NEW) in・・・/func.php on line 647というエラーが解決できなくて困っています。

// Generate AutoLink patterns (thx to hirofummy)
function get_autolink_pattern(& $pages)
{
	global $WikiName, $autolink, $nowikiname;

	$config = &new Config('AutoLink');
	$config->read();
	$ignorepages      = $config->get('IgnoreList');
	$forceignorepages = $config->get('ForceIgnoreList');
	unset($config);
	$auto_pages = array_merge($ignorepages, $forceignorepages);

上の$config = &new Config('AutoLink');の行が、構文エラーということで、サイトが表示されない。
ロリポップのサーバーで、サブドメインで用意したサイトを独自ドメインの公開ページとしたのですが、このエラーとなります。サブドメインの方はフォルダ名を付ければちゃんと表示され、エラーにならないのですが、どうしてでしょうか?
PHPのバージョンは、独自ドメインが7.3CGI版、サブドメインが5.3CGI版となっています。
windows10 chromeです。
どなたか助けてください。

***回答 [#o3cc715d]
- 動作させようとしているPukiwikiのバージョンはいくつなのでしょうか?&br;[[FAQ/45]] を見るとわかりますが、PHP7.0.*以上で動くのは1.5.1からです。 --  &new{2021-06-29 (火) 08:44:56};
- [[質問箱/5333]] --  &new{2021-06-29 (火) 11:03:56};
- Quick Homepage Maker 5.1 (rev.1608) based on PukiWiki 1.4.7. licence is GPL でした。 -- [[T . M i y o s h i ]] &new{2021-06-29 (火) 19:30:30};
- 1.5.1へのバージョンアップを試みてみます。知らずに7.0にしたのが残念です。ありがとうございます。 -- [[T . M i y o s h i ]] &new{2021-06-29 (火) 19:35:03};
- QHMはPukiwikiをベースにしたものです。そのままPukiwikiに移行できるのかどうかは知りません。 --  &new{2021-06-30 (水) 07:16:02};
-- もし、QHMのデータのみをPukiWikiへ移行したいならば「wiki」、「cache」、「attach」、「backup」、「diff」、「counter」、「image」をコピーするとできますが、QHM限定のプラグインが使われているページはきちんと動作しないと思います。
- 文字列にPukiWikiがあるとサーバー管理会社(特にGMO系列)はここへ誘導するようですが、ベースにしていてもそのものではないので、ここのパッチを当ててもきちんと動作しないと思います。&br;[[質問箱/5333]]を読んでも理解できないようであれば、他の人が設置したものを引き継いだか、誰かに設定して貰ったものだと思いますので、元の設置者に聞けるのであればそうしてください。 --  &new{2021-06-30 (水) 07:38:22};
- QHMno -- [[T . M i y o s h i ]] &new{2021-07-01 (木) 03:05:45};
- QHMの開発者?は北摂情報学研究所の亀田たかひろという人です。2016年に突然QHM・HAIKに変えるということで新たに入会金を取られました。その後また変えられさらに入会金を求められましたが、当方はうんざりして更新しませんでした。現在もQHMHAIKの運営をしているのかどうかわかりません。このような不具合が起こっても質問するすべがなく、この無責任さに幣社団体のサイト担当者としては大変困惑しています。 -- [[T . M i y o s h i ]] &new{2021-07-01 (木) 03:24:09};
- QHM、HAIKいずれにせよ、PukiWikiそのものではなく他のソフトを使用して起こったトラブルですのでこのサイトで相談されても解決はしないと思います。このページはPukiWikiに関する質問のページです。入会金を支払うか、ご自身で元の設置者と相談していただくか、今あるサイトは破棄して新たに作り直すしかないのではないでしょうか。 -- [[m0370]] &new{2021-07-01 (木) 07:50:29};
- QHMは現在も運営してるんじゃないでしょうか。github.com/open-qhm/qhm -- [[-]] &new{2021-07-01 (木) 08:12:22};
- [[質問箱]]&br;>PukiWiki派生のものは当サイトでは管理しておりません。 質問などは、各サポートサイトでお尋ね下さい。&br;という注意書きがここにはあるわけですが・・・ -- [[D]] &new{2021-07-01 (木) 14:07:05};
--QHMの有志のフォーラムもちょっと探したら見つかりましたが・・・(haikforum.qhmtips.com/index.php)
-->このような不具合&br;不具合ではありません。PHPのバージョンアップに現在使っているものが古すぎてついていけていないだけです。&br;これはなにを使っていても起こる可能性があります。&br;一度設置したら、ずっと何年も何十年もそのまま使い続けられるものはありません。
- 場違いなので却下にしておきますが、もし何かあれば戻しても構いません。

#comment


トップ   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Site admin: PukiWiki Development Team

PukiWiki 1.5.3+ © 2001-2020 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u12. HTML convert time: 0.165 sec.

OSDN